Bug 691189 - Review Request: wmbinclock - Dockapp which shows the actual system time as binary clock
Summary: Review Request: wmbinclock - Dockapp which shows the actual system time as bi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-27 12:01 UTC by Mario Blättermann
Modified: 2011-05-25 03:25 UTC (History)
3 users (show)

Fixed In Version: wmbinclock-0.5-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:58:34 UTC
iarnell: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2011-03-27 12:01:23 UTC
Spec URL: http://dl.dropbox.com/u/19373040/Fedora/SPECS/wmbinclock.spec
SRPM URL: http://dl.dropbox.com/u/19373040/Fedora/wmbinclock-0.5-1.fc14.src.rpm
Description: Dockapp which shows the actual system time as binary clock.

You have to add up the "bits" to get the time. The clock has a 24 hour format.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2950421

Comment 1 Iain Arnell 2011-05-08 12:24:09 UTC
At first glance, this looks to be mostly okay; just a couple of minor issues.

You need to pass CFLAGS="%{?optflags}" to the build.

And there is inconsistent use of macros vs variables - but since we don't need to clean buildroot in %install, you can just remove the offending line.

Comment 3 Iain Arnell 2011-05-09 05:56:30 UTC
+ source files match upstream.  
    ba268e66b59b100edb9da1cee064c258  wmbinclock-0.5.tar.bz2
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ license field matches the actual license.
    GPLv2+
+ license is open source-compatible.
+ license text included.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ package builds in mock (locally)
+ package installs properly.
+ rpmlint has no meaningful complaints:
    wmbinclock.src: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Paddock
    wmbinclock.src: I: enchant-dictionary-not-found de
    wmbinclock.src: W: spelling-error %description -l en_US Dockapp -> Dock app, Dock-app, Paddock
    wmbinclock.x86_64: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Paddock
    wmbinclock.x86_64: W: spelling-error %description -l en_US Dockapp -> Dock app, Dock-app, Paddock
    wmbinclock.x86_64: E: incorrect-fsf-address /usr/share/doc/wmbinclock-0.5/COPYING
    wmbinclock.x86_64: W: no-manual-page-for-binary wmBinClock
    wmbinclock-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmbinclock-0.5/wmBinClock_mask.xbm
    wmbinclock-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmbinclock-0.5/wmBinClock.c
    3 packages and 0 specfiles checked; 3 errors, 5 warnings.
+ final provides and requires are sane
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

Again, you should advise upstream of the fsf address change and ask them to update their code. Would also be nice to get a man page too.

Otherwise, all appears okay. APPROVED.

Comment 4 Mario Blättermann 2011-05-09 18:20:27 UTC
Thanks for the review!

There's no proper solution regarding the wrong FSF address. Upstream is dead for ages. Either we patch/replace such files in general, or we do nothing. See bug #690919.
Perhaps I will write a man page and add it to the package next weeks.

New Package SCM Request
=======================
Package Name: wmbinclock
Short Description: Dockapp which shows the actual system time as binary clock
Owners: mariobl
Branches: f14 f15

Comment 5 Jason Tibbitts 2011-05-10 15:29:09 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-05-11 21:29:45 UTC
wmbinclock-0.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wmbinclock-0.5-2.fc15

Comment 7 Fedora Update System 2011-05-11 21:29:53 UTC
wmbinclock-0.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wmbinclock-0.5-2.fc14

Comment 8 Fedora Update System 2011-05-13 23:04:39 UTC
wmbinclock-0.5-2.fc14 has been pushed to the Fedora 14 testing repository.

Comment 9 Fedora Update System 2011-05-19 04:58:29 UTC
wmbinclock-0.5-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-05-25 03:25:18 UTC
wmbinclock-0.5-2.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.